id: 5
createUser: admin
createTime: 2025-06-02T18:55:53.867595697Z
name: tackle-testapp-custom-rules_test-app-ut77.1.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/include=always
                - tag
                - konveyor.io/target=phil7
                - konveyor.io/target=phil
                - konveyor.io/source
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 1
    name: tackle-testapp-custom-rules_test-app-ut77
bucket:
    id: 6
    name: ""
started: 2025-06-02T18:55:54.200302334Z
terminated: 2025-06-02T19:03:28.289226666Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-06-02T18:55:54.146521764Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-06-02T18:55:54.166441843Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-5-8glfv
      last: 2025-06-02T18:55:54.266326047Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-06-02T18:55:56.435936436Z
    - kind: PodRunning
      count: 301
      last: 2025-06-02T19:01:28.632083621Z
    - kind: PodSucceeded
      count: 1
      last: 2025-06-02T19:01:28.632084503Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-06-02T19:01:28.750273359Z
    - kind: PodDeleted
      count: 1
      last: 2025-06-02T19:03:28.289175981Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=1) kQuUgj.'
    - '[FILE] Created /addon/.gitconfig.'
    - '[FILE] Created /addon/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/tackle-testapp /shared/source/tackle-testapp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: /rules'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=20 (.technology-usage)'
    - '[RULESET] fetching: id=2 (azure/springboot)'
    - '[RULESET] fetching: id=5 (eap6/java-ee/seam)'
    - '[RULESET] fetching: id=6 (eap7/weblogic/tests/data)'
    - '[RULESET] fetching: id=7 (eap8/eap7)'
    - '[RULESET] fetching: id=17 (os/windows)'
    - '[RULESET] fetching: id=22 (jws5)'
    - '[RULESET] fetching: id=23 (openjdk17)'
    - '[RULESET] fetching: id=24 (cloud-readiness)'
    - '[RULESET] fetching: id=25 (jakarta-ee9)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/files /addon/rules/files'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/2/rules /addon/rules/rulesets/2/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/5/rules /addon/rules/rulesets/5/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/6/rules /addon/rules/rulesets/6/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/7/rules /addon/rules/rulesets/7/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/17/rules /addon/rules/rulesets/17/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/22/rules /addon/rules/rulesets/22/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/23/rules /addon/rules/rulesets/23/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/24/rules /addon/rules/rulesets/24/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/25/rules /addon/rules/rulesets/25/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[RULE] /addon/rules/files/ruleset.yaml not-found;created.'
    - '[RULE] inject(konveyor.io/include=always): /addon/rules/files/ruleset.yaml.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/files --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/2/rules --rules /addon/rules/rulesets/5/rules --rules /addon/rules/rulesets/6/rules --rules /addon/rules/rulesets/7/rules --rules /addon/rules/rulesets/17/rules --rules /addon/rules/rulesets/22/rules --rules /addon/rules/rulesets/23/rules --rules /addon/rules/rulesets/24/rules --rules /addon/rules/rulesets/25/rules --label-selector ((konveyor.io/include=always||tag)||(konveyor.io/source&&(konveyor.io/target=phil7||konveyor.io/target=phil)))'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 1.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 1 reported. duration: 444.549269ms'
    - Facts updated.
    - Done.
attached:
    - id: 372
      name: ssh-agent.output
      activity: 9
    - id: 373
      name: git.output
      activity: 16
    - id: 376
      name: windup-shim.output
      activity: 30
    - id: 377
      name: windup-shim.output
      activity: 32
    - id: 378
      name: windup-shim.output
      activity: 34
    - id: 379
      name: windup-shim.output
      activity: 36
    - id: 380
      name: windup-shim.output
      activity: 38
    - id: 381
      name: windup-shim.output
      activity: 40
    - id: 382
      name: windup-shim.output
      activity: 42
    - id: 383
      name: windup-shim.output
      activity: 44
    - id: 384
      name: windup-shim.output
      activity: 46
    - id: 385
      name: windup-shim.output
      activity: 48
    - id: 386
      name: windup-shim.output
      activity: 50
    - id: 387
      name: windup-shim.output
      activity: 52
    - id: 388
      name: settings.yaml
      activity: 55
    - id: 389
      name: konveyor-analyzer.output
      activity: 56
    - id: 400
      name: git.output
      activity: 59
    - id: 374
      name: addon.log
    - id: 375
      name: java.log
    - id: 402
      name: pod.yaml
